HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# H5Exception.h File Reference

`#include <string>`

Go to the source code of this file.

## Namespaces
namespace | H5
## Classes
class | H5::Exception
class | H5::FileIException
class | H5::GroupIException
class | H5::DataSpaceIException
class | H5::DataTypeIException
class | H5::PropListIException
class | H5::DataSetIException
class | H5::AttributeIException
class | H5::ReferenceException
class | H5::LibraryIException
class | H5::IdComponentException
## Defines
#define | H5std_string std::string

## Define Documentation

#define H5std_string std::string

Examples:
  chunks.cpp, compound.cpp, create.cpp, extend_ds.cpp, h5group.cpp, readdata.cpp, and writedata.cpp.